:root {
    --ma-couleur1: #00fff281; /* Variable qui stocke ma couleur principale */
    --ma-couleur2: #49e2db;   /* Variable qui stocke ma couleur secondaire */
}

* {
    scroll-behavior: smooth;  /* Ajoute un défilement fluide à tous les éléments */
}

html, body {
    width: 100%;
    min-height: 100%;
    margin: 0px;
    background-color: #0a101e; /* Couleur de fond du document */
    /* #2A2D34 */
    /* #0a101e */
}

/* Début du code pour mon header */
header {
    height: 80px;
    margin: 0px;
    padding: 0px;
    display: flex;
    flex-direction: row;
}

.mainTitle {
    display: inline-block;
    color: #F1DAC4;
    margin-top: 2%;
    margin-left: 3%;
    left: 75px;
    text-shadow: #5900ffb7 0 0 0.2em; /* Ombre du texte */
}

#name {
    display: inline-block;
    font-size: 2.8em;
    color: #F1DAC4;
    margin: 2%;
    left: 75px;
    text-shadow: #0800ff 0 0 0.2em; /* Ombre du texte */
}
/* CSS de nav  */
header nav {
    height: 80px;
    margin-top: 15px;
    position: absolute;
    right: 0;
    display: flex;
    margin-right: 50px;
}

#mylist {
    list-style-type: none; /* Supprime les puces de la liste */
    text-align: center;
    padding: 0px;
    height: 60px;
}
nav ul li {
    display: inline-block;
    width: 80px;
}

nav ul li a {
    display: block;
    width: 100%;
    height: 100%;
    line-height: 40px; /* Hauteur de ligne pour centrer le texte verticalement */
    color: var(--ma-couleur1);
    text-decoration: none;
}

header nav ul li a:hover {
    background-color: rgb(26, 17, 97) ; /* Couleur de fond au survol */
    border-radius: 15px; /* Coins arrondis au survol */
}
/* Ligne de séparation entre header et body */
#ligne {
    height: 2px;
    width: 90%;
    background-color: #FFCC00;
    border-radius: 70%; /* Coins arrondis */
}

/* Deuxième barre de séparation  */
.separation {
    height: 1.2px;
    width: 70%;
    margin-top: 30px;
    margin-bottom: 30px;
    background-color: #FFCC00;
    border-radius: 75%; /* Coins arrondis */
}
/* Fin du code pour le header */




/* Partie cv */

/* Div pour centrer la page */
.DivCenter {
    width: 80%;
    height: auto;
    margin-left: 10%;
    margin-right: 10%;
}

/* Div principal pour le contenu */
.MyDiv1 {
    width: 100%;
    height: auto;
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 20px;
}

/* Style de la photo de profil */
.divImage {
    display: flex;
    justify-content: start; /* Centrer l'image à gauche */
    align-items: start;
}

#pp {
    width: 300px;
    margin-left: 15px;
    border-radius: 20%;
}

.contact{
    display: flex;
    flex-direction: row;

}

.minilogo{
    width: 40px;
    margin-left: 40px;
    margin: 10px;
}

/* Div pour le texte du CV */
.MyDivText {
    flex: 1; /* Occupe 50% de la largeur de l'écran */
    display: flex;
    flex-direction: column; /* Affiche les éléments en colonne */
    justify-content: center; /* Centre le contenu verticalement */
}

.divTitle {
    display: flex;
}

/* Styles pour les titres principaux */
.titres {
    font-family: math;
    font-style: italic;
    font-variant: small-caps;
    font-size: 1.5em;
    color: var(--ma-couleur2);
    margin: 2%;
    margin-left: 50px;
}

/* Styles pour les liens */
.LinkStyle {
    font-size: 1.2em;
    color: #0099ffc1;
    font-variant: small-caps;
    text-decoration: none;
}

/* Div principal pour les informations */
.MyDiv {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* Style pour les formations */
.myformation {
    margin-left: 150px;
    color: var(--ma-couleur1);
}

/* Div pour l'alignement des éléments */
.Divalignement {
    display: flex;
}

/* Div pour le texte */
.texte {
    display: flex;
    width: 80%;
}

/* Styles pour les années */
.year {
    color: var(--ma-couleur2);
    margin-left: 30px;
    margin-right: 90px;
}

/* Styles pour les informations personnelles */
.myinformation {
    color: var(--ma-couleur1);
    text-align: left;
}

/* Styles pour la liste des matières */
.myinformationlist {
    color: var(--ma-couleur1);
}

/* Styles pour les mots-clés */
.keyword {
    color: var(--ma-couleur2);
}

/* Partie pour les images dans la page index */

/* Style pour les titres de la section des images */
.titre2 {
    font-family: math;
    font-variant: small-caps;
    font-size: 1.2em;
    color: var(--ma-couleur2);
    margin: 2%;
    text-align: center;
}

/* Div principal pour les compétences */
.MyDivSkills {
    width: 80%;
    display: flex;
    flex-direction: row;
    margin: auto;
}

/* Div pour les images des compétences */
.skillsImage {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

/* Style pour les images des compétences */
.skillsimg {
    width: 100%;
    height: 85%;
}

/* Div pour les noms de compétences */
.DivSkillName {
    display: flex;
    flex-direction: row;
    text-align: center;
    justify-content: center; /* Centre horizontalement */
}

/* Style pour les noms de compétences */
.skillName {
    font-size: 2em;
    color: #0099ffc1;
    font-variant: small-caps;
    text-shadow: #5900ffb7 0 0 0.9em;
    text-decoration: none;
    margin: 20px;
}

/* Style au survol des noms de compétences */
.skillName:hover {
    transform: scale(1.4);
    color: #00ccffef;
}

/* Div pour les dessins */
.MyDraws {
    display: flex;
    flex-wrap: wrap;
}

/* Style pour les images de dessins */
.MyDraws img {
    width: 300px;
    height: 350px;
    margin-bottom: 50px;
    margin-left: auto;
    margin-right: auto;
    box-shadow: 0 0 3em rgba(37, 138, 197, 0.863);
    border: 1.2px solid rgb(12, 106, 129);
    transition: transform 0.3s ease-in-out;
}

/* Style au survol des images de dessins */
.MyDraws img:hover {
    transform: scale(1.4);
    border: 1.2px solid rgb(0, 174, 255);
    box-shadow: 0 0 3em rgb(37, 160, 197);
}

/* Div pour les images Photoshop */
.MyPs {
    display: flex;
    flex-wrap: wrap;
    position: relative;
}

/* Style pour les images Photoshop */
.MyPs img {
    width: 300px;
    height: 300px;
    margin-bottom: 50px;
    margin-left: auto;
    margin-right: auto;
    box-shadow: 0 0 3em rgba(37, 138, 197, 0.863);
    border: 1.2px solid rgb(12, 106, 129);
    transition: transform 0.3s ease-in-out;
}

/* Style au survol des images Photoshop */
.MyPs img:hover {
    transform: scale(1.4);
    border: 1.2px solid rgb(0, 174, 255);
    box-shadow: 0 0 3em rgb(18, 92, 110);
}

/* Div pour les vidéos YouTube */
.videoyt {
    display: flex;
    flex-wrap: wrap;
    margin: auto;
}

/* Style pour la vidéo YouTube */
#myvideo {
    display: flex;
    margin: auto;
    margin-bottom: 15px;
}


/*Image clickable*/
.imageclick{
    margin-bottom: 50px;
    margin-top: 50px;
}

#imgclick {
    width: 680px;
    height: 457px;
    display: flex;
    margin: auto;
    box-shadow: 0 0 20px rgba(83, 80, 80, 0.5), 0 0 40px rgba(10, 16, 30, 0.8);
    border-radius:5%
}

#textimg{
    text-align: center;
}

.Careers{
    width: 100%;
    display: flex;
}

.imagecareer{
    width: 400px;
    height: auto;
    margin: 10px;
    box-shadow: 0 0 20px rgba(83, 80, 80, 0.5), 0 0 40px rgba(10, 16, 30, 0.8);
    border-radius:5%
}

.infoCareer{
    color: var(--ma-couleur1);
    margin-left: 35px;
    padding: 5px;
    display: flex;
    align-items: center;
    border-left: 1px solid #FFCC00;
    
    
}


/* Partie Passions */

.DivPassionMain{
    display: flex;
    flex-direction: column;
}

.divPassion{
    margin: auto;
}

.DivPassionMain img{
    width: 300px;
    height: auto;
    margin-bottom: 50px;
    margin-left: auto;
    margin-right: auto;
    box-shadow: 0 0 3em rgba(37, 138, 197, 0.863);
    border: 1.2px solid rgb(12, 106, 129);
    transition: transform 0.3s ease-in-out;
}
.DivPassionMain img:hover {
    transform: scale(1.5);
    border: 1.2px solid rgb(0, 174, 255);
    box-shadow: 0 0 3em rgb(18, 92, 110);
}

/* Styles pour le formulaire */
.careersForm {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: var(--ma-couleur1); /* Couleur du texte en bleu */
}

/* Styles pour les champs de saisie */
.careersForm input,
.careersForm select {
    margin-bottom: 10px;
    padding: 8px;
    width: 100%;
    box-sizing: border-box;
}

/* Styles pour les étiquettes */
.careersForm label {
    display: block;
    margin-bottom: 5px;
}

/* Styles pour les boutons checkbox */
.careersForm input[type="checkbox"] {
    margin-right: 5px;
}

/* Styles pour le bouton submit */
.careersForm input[type="submit"] {
    background-color: #e6e6e6; /* Couleur de fond en noir clair */
    color: white; /* Couleur du texte en blanc */
    padding: 10px;
    cursor: pointer;
    border: none;
    border-radius: 5px;
}

/* Style pour le bouton submit au survol */
.careersForm input[type="submit"]:hover {
    background-color: #333; /* Changement de couleur au survol */
}


/* Style pour le pied de page */
footer {
    height: 50px;
    background-color: rgb(11, 21, 30);
    bottom: 0;
    color: var(--ma-couleur1);
    display: flex;
    justify-content: center;
}